# ionoscloud\_autoscaling\_group\_servers

The autoscaling group servers data source can be used to search for and return existing servers that are part of a specific autoscaling group.

## Example Usage

```hcl
data "ionoscloud_autoscaling_group_servers" "autoscaling_group_servers" {
	group_id = "autoscaling_group_uuid"
}
```

## Argument Reference

* `group_id` - (Required) The unique ID of the autoscaling group.

`group_id` must be provided. If it is not provided, the datasource will return an error.

## Attributes Reference

The following attributes are returned by the datasource:

* `group_id` - Id of the autoscaling group.
* `servers` - List of servers.
  * `id` - The unique ID of the server.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ionos.com/terraform-provider/data-sources/autoscaling_group_servers.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
